SUSE Container Update Advisory: suse/sles12sp4
-----------------------------------------------------------------
Container Advisory ID : SUSE-CU-2022:176-1
Container Tags        : suse/sles12sp4:26.411 , suse/sles12sp4:latest
Container Release     : 26.411
Severity              : important
Type                  : security
References            : 1191835 1192620 1193478 1194640 1194768 1194770 CVE-2021-3999
                        CVE-2022-23218 CVE-2022-23219 
-----------------------------------------------------------------

The container suse/sles12sp4 was updated. The following patches have been included in this update:

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2022:441-1
Released:    Wed Feb 16 14:21:59 2022
Summary:     Security update for glibc
Type:        security
Severity:    important
References:  1191835,1192620,1193478,1194640,1194768,1194770,CVE-2021-3999,CVE-2022-23218,CVE-2022-23219

glibc was updated to fix the following issues:

Security issues fixed:

- CVE-2021-3999: Fixed incorrect errno in getcwd (bsc#1194640)
- CVE-2022-23219: Fixed buffer overflow in sunrpc clnt_create for 'unix' (bsc#1194768)
- CVE-2022-23218: Fixed buffer overflow in sunrpc svcunix_create (bsc#1194770)

Bugs fixed:

- Make endian-conversion macros always return correct types (bsc#1193478, BZ #16458)
- Allow dlopen of filter object to work (bsc#1192620, BZ #16272)
- x86: fix stack alignment in cancelable syscall stub (bsc#1191835)


The following package changes have been done:

- base-container-licenses-3.0-1.266 updated
- container-suseconnect-2.0.0-1.159 updated
- glibc-2.22-114.19.1 updated